Provider Resource Types - List
List the resource types for a specified resource provider.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/{resourceProviderNamespace}/resourceTypes?api-version=2021-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/{resourceProviderNamespace}/resourceTypes?$expand={$expand}&api-version=2021-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
The namespace of the resource provider. |
|
subscription
|
path | True |
|
The Microsoft Azure subscription ID. |
|
api-version
|
query | True |
|
The API version to use for this operation. |
|
$expand
|
query |
|
The $expand query parameter. For example, to include property aliases in response, use $expand=resourceTypes/aliases. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK - Returns resource types information for the resource provider. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get provider resource types.
Sample Request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.TestRP/resourceTypes?api-version=2021-04-01
Sample Response
{
"value": [
{
"resourceType": "TestResourceType",
"locations": [
"West US"
],
"apiVersions": [
"2018-01-01",
"2015-05-01"
],
"locationMappings": [
{
"location": "West US",
"type": "EdgeZone",
"extendedLocations": [
"LosAngeles",
"LosAngeles2"
]
}
],
"capabilities": "CrossResourceGroupResourceMove, CrossSubscriptionResourceMove, SupportsTags, SupportsLocation"
},
{
"resourceType": "TestResourceTypeSibling",
"locations": [
"West US"
],
"apiVersions": [
"2018-01-01",
"2015-05-01"
],
"capabilities": "CrossResourceGroupResourceMove, CrossSubscriptionResourceMove, SupportsTags, SupportsLocation"
}
]
}
Definitions
| Alias |
The alias type. |
|
Alias |
The type of the paths for alias. |
|
Alias |
The attributes of the token that the alias path is referring to. |
|
Alias |
|
|
Alias |
The type of the token that the alias path is referring to. |
|
Alias |
The type of the pattern for an alias path. |
|
Alias |
The type of alias pattern |
|
Alias |
The type of the alias. |
|
Api |
|
|
Cloud |
An error response for a resource management request. |
|
Error |
The resource management error additional info. |
|
Error |
Error Response |
|
Provider |
The provider extended location. |
|
Provider |
Resource type managed by the resource provider. |
|
Provider |
List of resource types of a resource provider. |
|
Zone |
Alias
The alias type.
| Name | Type | Description |
|---|---|---|
| defaultMetadata |
The default alias path metadata. Applies to the default path and to any alias path that doesn't have metadata |
|
| defaultPath |
|
The default path for an alias. |
| defaultPattern |
The default pattern for an alias. |
|
| name |
|
The alias name. |
| paths |
The paths for an alias. |
|
| type |
The type of the alias. |
AliasPath
The type of the paths for alias.
| Name | Type | Description |
|---|---|---|
| apiVersions |
|
The API versions. |
| metadata |
The metadata of the alias path. If missing, fall back to the default metadata of the alias. |
|
| path |
|
The path of an alias. |
| pattern |
The pattern for an alias path. |
AliasPathAttributes
The attributes of the token that the alias path is referring to.
| Name | Type | Description |
|---|---|---|
| Modifiable |
|
The token that the alias path is referring to is modifiable by policies with 'modify' effect. |
| None |
|
The token that the alias path is referring to has no attributes. |
AliasPathMetadata
| Name | Type | Description |
|---|---|---|
| attributes |
The attributes of the token that the alias path is referring to. |
|
| type |
The type of the token that the alias path is referring to. |
AliasPathTokenType
The type of the token that the alias path is referring to.
| Name | Type | Description |
|---|---|---|
| Any |
|
The token type can be anything. |
| Array |
|
The token type is array. |
| Boolean |
|
The token type is boolean. |
| Integer |
|
The token type is integer. |
| NotSpecified |
|
The token type is not specified. |
| Number |
|
The token type is number. |
| Object |
|
The token type is object. |
| String |
|
The token type is string. |
AliasPattern
The type of the pattern for an alias path.
| Name | Type | Description |
|---|---|---|
| phrase |
|
The alias pattern phrase. |
| type |
The type of alias pattern |
|
| variable |
|
The alias pattern variable. |
AliasPatternType
The type of alias pattern
| Name | Type | Description |
|---|---|---|
| Extract |
|
Extract is the only allowed value. |
| NotSpecified |
|
NotSpecified is not allowed. |
AliasType
The type of the alias.
| Name | Type | Description |
|---|---|---|
| Mask |
|
Alias value is secret. |
| NotSpecified |
|
Alias type is unknown (same as not providing alias type). |
| PlainText |
|
Alias value is not secret. |
ApiProfile
| Name | Type | Description |
|---|---|---|
| apiVersion |
|
The API version. |
| profileVersion |
|
The profile version. |
CloudError
An error response for a resource management request.
| Name | Type | Description |
|---|---|---|
| error |
Error Response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorResponse
Error Response
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ProviderExtendedLocation
The provider extended location.
| Name | Type | Description |
|---|---|---|
| extendedLocations |
|
The extended locations for the azure location. |
| location |
|
The azure location. |
| type |
|
The extended location type. |
ProviderResourceType
Resource type managed by the resource provider.
| Name | Type | Description |
|---|---|---|
| aliases |
|
The aliases that are supported by this resource type. |
| apiProfiles |
The API profiles for the resource provider. |
|
| apiVersions |
|
The API version. |
| capabilities |
|
The additional capabilities offered by this resource type. |
| defaultApiVersion |
|
The default API version. |
| locationMappings |
The location mappings that are supported by this resource type. |
|
| locations |
|
The collection of locations where this resource type can be created. |
| properties |
|
The properties. |
| resourceType |
|
The resource type. |
| zoneMappings |
ProviderResourceTypeListResult
List of resource types of a resource provider.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
The URL to use for getting the next set of results. |
| value |
An array of resource types. |
ZoneMapping
| Name | Type | Description |
|---|---|---|
| location |
|
The location of the zone mapping. |
| zones |
|